Subject: Re: [PATCH] net: Limit socket I/O iovec total length to INT_MAX.

From: Rick Jones <[email-masked]>
Date: Fri, 29 Oct 2010 11:51:35 -0700

It may be but a paint splatter on the bikeshed, or considered a case of "Doctor! 
Doctor! It hurts when I do this" "Then don't do that!" but elsewhere (not in the 
context of Linux) I've seen mention made of ISV software posting some 
particularly large receives and such - one case I saw was over 1GB, where that 
was tied to the size of a log buffer the creation of which I believe was not 
limited to ~INT_MAX by the application software.

rick jones